This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 571177 - add libmikmod as dependency
add libmikmod as dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: extremetuxracer (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
: 584211 (view as bug list)
Depends On: 572195
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-07 07:57 EST by damian
Modified: 2011-06-27 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 572195 (view as bug list)
Environment:
Last Closed: 2011-06-27 11:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
without libmikmod (79.33 KB, image/png)
2010-03-09 11:32 EST, damian
no flags Details

  None (edit)
Description damian 2010-03-07 07:57:58 EST
Description of problem:
Package should depend on libmikmod

How reproducible:
Install extremetuxracer without having libmikmod.
No Music at all. If opened via terminal error  messages
comes up about not having libmikmod.
Comment 1 Nils Philippsen 2010-03-08 07:00:50 EST
I don't find mention of "mikmod" anywhere in extremetuxracer. Please attach the error message you see. Thanks.
Comment 2 damian 2010-03-09 11:32:21 EST
Created attachment 398840 [details]
without libmikmod
Comment 3 damian 2010-03-09 11:33:31 EST
After "yum install libmikmod" it works fine. I am using rawhide.
Comment 4 Nils Philippsen 2010-03-10 09:25:50 EST
Hmm, etracer doesn't use libmikmod directly but via SDL_mixer. In older versions of it, libmikmod was linked in directly, but in Rawhide it will be dlopen()ed (if it's available).

I consider SDL_mixer using libmikmod an implementation detail so requiring it from etracer would only be a band-aid. IMO, SDL_mixer should give me a means to say "this packages needs SDL_mixer and it needs it for playing mods" and leave it to SDL_mixer to pull in the required libraries. For example, SDL_mixer could have an empty meta-subpackage "SDL_mixer-mod":

...
%package mod
Summary: SDL_mixer mod enablement
Provides: SDL_mixer(mod)%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: libmikmod%{?_isa}

%description mod
This package pulls in dependencies needed by SDL_mixer to play the following formats: blah, foo and bar tracker
...

Likewise for all other formats that aren't directly pulled in by the main package.

A package like extremetuxracer could then just require "SDL_mixer(mod)%{_isa}" and everything should work.
Comment 5 Nils Philippsen 2010-04-21 09:17:59 EDT
Johan, I've put you on Cc because I'd like your input on what I proposed in comment #4.
Comment 6 Nils Philippsen 2010-04-21 09:18:11 EDT
*** Bug 584211 has been marked as a duplicate of this bug. ***
Comment 7 Johan Cwiklinski 2010-04-21 12:33:12 EDT
I've released SDL_mixer ownership today, so I add the new maintainer to Cc list instead of me ;)
Comment 8 Thomas Janssen 2010-04-22 13:18:56 EDT
Hi Nils,

why not simply add libmikmod to SDL_mixer requires? That way we make stuff like etracer and whatnot just work out of the box with a single change. 

Well, but i'm open for either way. One of us needs to decide ;)
Comment 9 Nils Philippsen 2010-04-23 06:56:34 EDT
I'm fine with that. I only thought that making SDL_mixer dlopen() libmikmod only when needed was made so you don't have a hard dependency on libmikmod (otherwise they could just have continued linking it in directly). Your call ;-).
Comment 10 Thomas Janssen 2010-06-17 05:11:27 EDT
Ugh, sorry, i totally forgot about that one. Fixed in 1.2.11-3.fc14 currently building.
Comment 11 Bug Zapper 2011-06-02 12:18:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 11:06:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.